| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
Search
Search.Database
Search.Database.Base

# Method Search.Database.Base()->get_blob()

Method get_blob

  `string get_blob(string word, int num, void|mapping(string:mapping(int:string)) blobcache)`

Description

  Retrieves a blob from the database.

Parameter `word`

  The wanted word. Possibly in wide-string format. (Not UTF-8 encoded.)

Parameter `num`
Parameter `blobcache`
Returns

  The blob requested, or 0 if there's no more blobs.